incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Kelly <pmke...@apache.org>
Subject Re: [NOTICE] corinthia PPMC+committer -= dortef, franz, gbg, ianc, jani, louis, pmkelly
Date Sun, 06 Sep 2015 18:46:42 GMT
> On 7 Sep 2015, at 1:17 am, Branko Čibej <brane@apache.org> wrote:
> 
> On 06.09.2015 19:43, Peter Kelly wrote:
>> If it’s not possible to write apps using LGPL libraries as part of apache projects,
> 
> I expect you did get to read this page:
> http://www.apache.org/legal/resolved.html
> 
> It explains why we cannot include code under certain libraries in our
> releases. It's fine to have optional dependencies on code under one of
> these licenses, such that the user can include them when they build
> binaries from our sources. But "optional" means that the absence of such
> a module doesn't affect the core functionality. If the core
> functionality is to be a user interface, then you'd have to find an
> appropriately-licenses UI toolkit.
> 
> I'm not aware of any such toolkit that's compatible with ALv2 ... which
> is a  bit of a pain.

Indeed. And I did read that page at the time and come away with an understanding that’s
essentially what you explained, though I think the page could be a lot clearer (a direct statement
like “You cannot link against LGPL libraries” would go a long way to avoiding ambiguity).

My hope (and those of some others on the project) was that we could make our editor app an
optional component - there are other parts of the project which are very much useful in and
of themselves. The Qt editor is only part of what we had planned (or I should say, have planned,
since we’re still going ahead with it, just outside of ASF), but we also were working on
a web-based editor which would not use any LGPL code or that of any other incompatible licenses.

The policy raises the rather tricky question of what can reasonably be considered “optional”.
For a project with say three components, one of which inherently requires an LGPL library,
should the latter considered optional? Arguments could be made in both ways, but on balance,
I suspect probably not.

LGPL allows use in commercial applications, and e.g. WebKit (which is LGPL) has been used
in Safari, Chrome, and countless other closed-source projects. I sort of understand the reasoning
behind it’s prohibition; I don’t agree with it, but nonetheless it’s considered a resolved
issue. I wish I’d realised this coming into incubator, since we’d planned a Qt component
from the start, but it’s not the end of the world - the project will continue on GitHub,
where we are free as a community to make our own decisions about such matters.

—
Dr Peter M. Kelly
pmkelly@apache.org

PGP key: http://www.kellypmk.net/pgp-key <http://www.kellypmk.net/pgp-key>
(fingerprint 5435 6718 59F0 DD1F BFA0 5E46 2523 BAA1 44AE 2966)


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message